package net.wanji.web.controller;

import net.wanji.web.common.entity.JsonViewObject;
import net.wanji.web.service.SignalEvaluateService;
import net.wanji.web.vo.signalEvaluate.FlowQueueInVO;
import net.wanji.web.vo.signalEvaluate.FlowQueueOutVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.ws.rs.core.MediaType;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 信号评价
 *
 * @author Kent HAN
 * @date 2022/11/3 15:52
 */
@Api(value = "SignalEvaluateController", description = "信号评价")
@RequestMapping("/signalEvaluate")
@RestController
public class SignalEvaluateController extends BaseController{
    @Autowired
    SignalEvaluateService signalEvaluateService;

    SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");


    @ApiOperation(value = "流量、排队折线图", notes = "流量、排队折线图", response = JsonViewObject.class,
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @PostMapping(value = "/flowQueue",
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    public JsonViewObject flowQueue(@RequestBody FlowQueueInVO flowQueueInVO) throws ParseException {
        String adCode = flowQueueInVO.getAdCode();
        String crossId = flowQueueInVO.getCrossId();
        String currentTimeStr = flowQueueInVO.getCurrentTime();
        Date currentTime = sdf.parse(currentTimeStr);
        Integer timeType = flowQueueInVO.getTimeType();
        Integer dataType = flowQueueInVO.getDataType();
        FlowQueueOutVO flowQueueOutVO = signalEvaluateService.flowQueue(adCode, crossId, currentTime, timeType, dataType);
        JsonViewObject jsonViewObject = JsonViewObject.newInstance();

        return jsonViewObject.success(flowQueueOutVO);
    }
}
