package net.wanji.web.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 区域基础信息
 * </p>
 *
 * @author wj
 * @since 2022-12-16
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_base_area_info")
public class TBaseAreaInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 行政区划代码
     */
    @TableField("code")
    private Integer code;

    /**
     * 行政区划名称
     */
    @TableField("name")
    private String name;

    /**
     * 区划类型：1行政区划；2交警辖区；3商圈；4交通小区；5热点区域
     */
    @TableField("type")
    private Integer type;

    /**
     * 父节点
     */
    @TableField("parent_code")
    private Integer parentCode;

    /**
     * 区域中心点
     */
    @TableField("location")
    private String location;

    /**
     * 区域边界
     */
    @TableField("polylines")
    private String polylines;

    /**
     * 创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 修改时间
     */
    @TableField("gmt_modified")
    private Date gmtModified;


}
