package net.wanji.web.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 路口基础表
 * </p>
 *
 * @author wj
 * @since 2022-11-28
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_base_cross_info")
public class TBaseCrossInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 路口ID
     */
    @TableId("id")
    private String id;

    /**
     * 路口名称
     */
    @TableField("name")
    private String name;

    /**
     * 路口类型
     */
    @TableField("type")
    private Integer type;

    /**
     * 路口级别
     */
    @TableField("level")
    private Integer level;

    /**
     * 行政区划代码
     */
    @TableField("area_code")
    private Integer areaCode;

    /**
     * 路口位置
     */
    @TableField("location")
    private String location;

    /**
     * 是否信控路口：1是；0否
     */
    @TableField("is_signal")
    private Integer isSignal;

    /**
     * 是否启动优化：1是；0否
     */
    @TableField("is_start")
    private Integer isStart;

    /**
     * 是否下发方案：1是；0否
     */
    @TableField("is_send")
    private Integer isSend;

    /**
     * 创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 修改时间
     */
    @TableField("gmt_modified")
    private Date gmtModified;


}
