package net.wanji.web.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @version 1.0
 * @Description: [路口信息实体类]</ p>
 */
@Data
@ApiModel(value = "路口信息", description = "")
public class CrossInfo {
    /**
     * 路口编号11位
     */
    @ApiModelProperty(name = "路口编号11位", notes = "")
    private String id;
    /**
     * 路口编码;默认是路口编号
     */
    @ApiModelProperty(name = "路口编码", notes = "默认是路口编号")
    private String code;
    /**
     * 路口名称
     */
    @ApiModelProperty(name = "路口名称", notes = "")
    private String name;
    /**
     * 路口类型：1丁字口；;2十字口；3环岛；4畸形口；5立体交叉口；6铁路道口；7其他
     */
    @ApiModelProperty(name = "路口类型：1丁字口；", notes = "2十字口；3环岛；4畸形口；5立体交叉口；6铁路道口；7其他")
    private String type;
    /**
     * 路口级别：
     * 1;高-高交叉口
     * 10	高-支交叉口
     * 11	高-小路交叉口
     * 12	国-国交叉口
     * 13	国-快交叉口
     * 14	国-主交叉口
     * 15	国-次交叉口
     * 16	国-省交叉口
     * 17	国-县交叉口
     * 18	国-乡交叉口
     * 19	国-其它交叉口
     * 2	高-国交叉口
     * 20	国-支交叉口
     * 21	国-小路交叉口
     * 22	快-快交叉口
     * 23	快-主交叉口
     * 24	快-次交叉口
     * 25	快-省交叉口
     * 26	快-县交叉口
     * 27	快-乡交叉口
     * 28	快-其它交叉口
     * 29	快-支交叉口
     * 3	高-快交叉口
     * 30	快-小路交叉口
     * 31	主-主交叉口
     * 32	主-次交叉口
     * 33	主-省交叉口
     * 34	主-县交叉口
     * 35	主-乡交叉口
     * 36	主-其它交叉口
     * 37	主-支交叉口
     * 38	主-小路交叉口
     * 39	次-次交叉口
     * 4	高-主交叉口
     * 40	次-省交叉口
     * 41	次-县交叉口
     * 42	次-乡交叉口
     * 43	次-其它交叉口
     * 44	次-支交叉口
     * 45	次-小路交叉口
     * 46	省-省交叉口
     * 47	省-县交叉口
     * 48	省-乡交叉口
     * 49	省-其它交叉口
     * 5	高-次交叉口
     * 50	省-支交叉口
     * 51	省-小路交叉口
     * 52	县-县交叉口
     * 53	县-乡交叉口
     * 54	县-其它交叉口
     * 55	县-支交叉口
     * 56	县-小路交叉口
     * 57	乡-乡交叉口
     * 58	乡-其它交叉口
     * 59	乡-支交叉口
     * 6	高-省交叉口
     * 60	乡-小路交叉口
     * 61	其它-其它交叉口
     * 62	其它-支交叉口
     * 63	其它-小路交叉口
     * 64	支-支交叉口
     * 65	支-小路交叉口
     * 7	高-县交叉口
     * 8	高-乡交叉口
     * 9	高-其它交叉口
     */
    @ApiModelProperty(name = "路口级别", notes = "")
    private Integer level;
    /**
     * 行政区划代码
     */
    @ApiModelProperty(name = "行政区划代码", notes = "")
    private String adcode;
    /**
     * 行政区划名称
     */
    @ApiModelProperty(name = "行政区划名称", notes = "")
    private String adname;
    /**
     * 位置信息POINT(经度;维度)
     */
    @ApiModelProperty(name = "位置信息POINT(经度", notes = "维度)")
    private String location;
    /**
     * 控制类型：0中心控制；1:单点自适应；2:;感应控制；
     */
    @ApiModelProperty(name = "控制类型：0中心控制；1:单点自适应；2:", notes = "感应控制；")
    private Integer controlType;
    /**
     * 是否启动优化：0;否；1 是
     */
    @ApiModelProperty(name = "是否启动优化：0", notes = "否；1 是")
    private Integer isControl;
    /**
     * 是否下发：0否；1是
     */
    @ApiModelProperty(name = "是否下发：0否；1是", notes = "")
    private Integer isStart;
    /**
     * 是否是信号路口;0否；1是
     */
    @ApiModelProperty(name = "是否是信号路口", notes = "0否；1是")
    private Integer isSignlight;
    /**
     * 信号机编号
     */
    @ApiModelProperty(name = "信号机编号", notes = "")
    private String signalId;
    /**
     * 信号机类型：1青松；2SCATS；3海信；4海康；5京安；6同安；7励安；8东土；9莱斯
     */
    @ApiModelProperty(name = "信号机类型：1青松；2SCATS；3海信；4海康；5京安；6同安；7励安；8东土；9莱斯", notes = "")
    private String signalType;
    /**
     * 信号机路口类型：十字路口、丄字路口、丅字路口等
     */
    @ApiModelProperty(name = "信号机路口类型：十字路口、丄字路口、丅字路口等", notes = "")
    private Integer signalCrossType;
    /**
     * 行人二次过街多个逗号隔开
     */
    @ApiModelProperty(name = "行人二次过街多个逗号隔开", notes = "")
    private String signalSidewalk;
    /**
     * 路网路口ID
     */
    @ApiModelProperty(name = "路网路口ID", notes = "")
    private String ridcrossId;
    /**
     * 实体类型：1、标准路口；3、行人过街路口；4、掉头路口；5、虚拟路口；6、末端路口（真）；8、末端路口（假）；99、其他
     */
    @ApiModelProperty(name = "实体类型：1、标准路口；3、行人过街路口；4、掉头路口；5、虚拟路口；6、末端路口（真）；8、末端路口（假）；99、其他", notes = "")
    private Integer ridcrossType;
    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间", notes = "")
    private Date gmtCreate;
    /**
     * 更新时间
     */
    @ApiModelProperty(name = "更新时间", notes = "")
    private Date gmtModified;
    /**
     * 信号机品牌
     */
    @ApiModelProperty(name = "信号机品牌", notes = "")
    private String signalBrand;
    /**
     * 路口别名
     */
    @ApiModelProperty(name = "路口别名", notes = "")
    private String crossName;
}
