package net.wanji.web.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Id;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/10 8:40
 */
@Data
public class RidInfoPO {
    /** 路段编号（开始路口编号+结束路口编号+顺序号0） */
    @Id
    @ApiModelProperty(name = "路段编号（开始路口编号+结束路口编号+顺序号0）",notes = "")
    private String rid ;
    /** 路段名称 */
    @ApiModelProperty(name = "路段名称",notes = "")
    private String name ;
    /** 道路编号 */
    @ApiModelProperty(name = "道路编号",notes = "")
    private String roadId ;
    /** 道路名称 */
    @ApiModelProperty(name = "道路名称",notes = "")
    private String roadName ;
    /** 道路方向编号 */
    @ApiModelProperty(name = "道路方向编号",notes = "")
    private String roaddirid ;
    /** 开始路口编号 */
    @ApiModelProperty(name = "开始路口编号",notes = "")
    private String startCrossid ;
    /** 结束路口编号 */
    @ApiModelProperty(name = "结束路口编号",notes = "")
    private String endCrossid ;
    /** 开始路口方向编号 */
    @ApiModelProperty(name = "开始路口方向编号",notes = "")
    private String startCrossdirid ;
    /** 结束路口方向编号 */
    @ApiModelProperty(name = "结束路口方向编号",notes = "")
    private String endCrossdirid ;
    /** 出口绝对角度;正北方向顺时针计算角度0~359 */
    @ApiModelProperty(name = "出口绝对角度",notes = "正北方向顺时针计算角度0~359")
    private Double startAngle ;
    /** 入口绝对角度;正北方向顺时针计算角度0~359 */
    @ApiModelProperty(name = "入口绝对角度",notes = "正北方向顺时针计算角度0~359")
    private Double endAngle ;
    /** 出口方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北 */
    @ApiModelProperty(name = "出口方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private String startDir ;
    /** 入口方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北 */
    @ApiModelProperty(name = "入口方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private String endDir ;
    /** 顺序号 */
    @ApiModelProperty(name = "顺序号",notes = "")
    private Integer orderid ;
    /** 行驶方向：0上行；1下行 */
    @ApiModelProperty(name = "行驶方向：0上行；1下行",notes = "")
    private String direction ;
    /** 路段走向：1;南向北；2 西向东；3 北向南；4 东向西；5 内环；6 外环；99 其他（参见路段走向字典） */
    @ApiModelProperty(name = "路段走向：1",notes = "南向北；2 西向东；3 北向南；4 东向西；5 内环；6 外环；99 其他（参见路段走向字典）")
    private Integer trend ;
    /** 道路等级：
     41000;高速公路
     42000 国道
     43000 城市快速路
     44000 城市主干道
     45000 城市次干道
     47000 城市普通道路
     51000 省道
     52000 县道
     53000 乡道
     54000 县乡村内部道路
     49 小路（参见道路等级字典） */
    @ApiModelProperty(name = "道路等级： 41000 高速公路 42000 国道 43000 城市快速路 44000 城市主干道 45000 城市次干道 " +
            "47000 城市普通道路 51000 省道 52000 县道 53000 乡道 54000 县乡村内部道路 49 小路（参见道路等级字典）",notes = "")
    private Integer roadClass ;
    /** 行政区划代码;跨区数据会以逗号分开 */
    @ApiModelProperty(name = "行政区划代码",notes = "跨区数据会以逗号分开")
    private String adcode ;
    /** 路段长度（米） */
    @ApiModelProperty(name = "路段长度（米）",notes = "")
    private Double length ;
    /** 路段宽度（米） */
    @ApiModelProperty(name = "路段宽度（米）",notes = "")
    private Double width ;
    /** 开始位置描述 */
    @ApiModelProperty(name = "开始位置描述",notes = "")
    private String startLocationDesc ;
    /** 结束位置描述 */
    @ApiModelProperty(name = "结束位置描述",notes = "")
    private String endLocationDesc ;
    /** 是否单行线：0;否  1 是  99 其他 */
    @ApiModelProperty(name = "是否单行线：0",notes = "否  1 是  99 其他")
    private Integer isOneway ;
    /** 路段类型：1路段；3匝道；4隧道；5桥梁；6高架；99其他 */
    @ApiModelProperty(name = "路段类型：1路段；3匝道；4隧道；5桥梁；6高架；99其他",notes = "")
    private Integer roadsegType ;
    /** 路段主辅标志：1;主路；2 辅路；99 其他 （参见主辅标志字典） */
    @ApiModelProperty(name = "路段主辅标志：1",notes = "主路；2 辅路；99 其他 （参见主辅标志字典）")
    private Integer mainFlag ;
    /** 数据版本：18q4_201911151904 */
    @ApiModelProperty(name = "数据版本：18q4_201911151904",notes = "")
    private String dataVersion ;
    /** 继承版本：18q4_201911151904 */
    @ApiModelProperty(name = "继承版本：18q4_201911151904",notes = "")
    private String preDataVersion ;
    /** 数据状态：0继承;1删除，2增加，3修改 */
    @ApiModelProperty(name = "数据状态：0继承",notes = "1删除，2增加，3修改")
    private String dataMode ;
    /** 继承关系;记录上一版本数据ID */
    @ApiModelProperty(name = "继承关系",notes = "记录上一版本数据ID")
    private String relation ;
    /** RID;空间对象 */
    @ApiModelProperty(name = "RID",notes = "空间对象")
    private String geom ;
    /** RID;空间对象 */
    @ApiModelProperty(name = "RID",notes = "空间对象")
    private String wkt ;
    /** 信控路段编号 */
    @ApiModelProperty(name = "信控路段编号",notes = "")
    private String ctRid ;
    /** 信控路段名称 */
    @ApiModelProperty(name = "信控路段名称",notes = "")
    private String ctName ;
    /** 信控路段RID顺序号 */
    @ApiModelProperty(name = "信控路段RID顺序号",notes = "")
    private Integer ctSeq ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
