package net.wanji.web.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Id;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/8 11:09
 */
@Data
public class SpecialServicePO {
    /** 特勤ID */
    @Id
    @ApiModelProperty(name = "特勤ID",notes = "")
    private Integer id ;
    /** 特勤名称 */
    @ApiModelProperty(name = "特勤名称",notes = "")
    private String name ;
    /** 控制类型：1手动；2自动 */
    @ApiModelProperty(name = "控制类型：1手动；2自动",notes = "")
    private Integer controlModel = 1;
    /** 特勤线路长度 */
    @ApiModelProperty(name = "特勤线路长度",notes = "")
    private Double length = 0.0 ;
    /** 是否被删除：1是；0否 */
    @ApiModelProperty(name = "是否被删除：1是；0否",notes = "")
    private Integer isDel = 0 ;
    /** 特勤状态：1执行；0未执行 */
    @ApiModelProperty(name = "特勤状态：1执行；0未执行",notes = "")
    private Integer status = 0 ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
